<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html lang="en">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title>Color Picker — Raphaël</title>
    <!-- original picker from JS library Raphaël, http://raphaeljs.com/picker/ --> 
    <style type="text/css" media="screen">
      body {
        background: #333;
        color: #999;
        font: 300 100.01%/1.2 "Segoe UI", "Helvetica Neue", Helvetica, "Arial Unicode", Arial, sans-serif;
        /* margin: 0 30px; */
      }
    </style>
    <script src="raphael.js" type="text/javascript" charset="utf-8"></script>
    <script src="colorpicker.js" type="text/javascript" charset="utf-8"></script>
    <script src="colorwheel.js" type="text/javascript" charset="utf-8"></script>
    <script type="text/javascript">
        
      //var cp      
    
      window.onload = function () {
        document.oncontextmenu = function() {return false;}

        var out = document.getElementById("output"),
        reg = /^#(.)\1(.)\2(.)\3$/;
            
        // this is where colorpicker created
        cp = Raphael.colorpicker(0, 0, 300, "#eee");

        cp.onchange = function (clr) {
          connector.colorChanged(clr);
        };
        connector.ready();
        // that’s it. Too easy
      };
    </script>
  </head>
  <body>

  </body>
</html>
